#Module-Specific definitions
%define apache_version 2.2.4
%define mod_name mod_auth_remote
%define mod_conf 82_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Mod_auth_remote is a DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	0.1
Release:	%mkrel 9
Group:		System/Servers
License:	GPL
URL:		http://saju.pillai.googlepages.com/mod_auth_remote
Source0:	%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}
Patch0:		mod_auth_remote-0.1-register.patch
Patch1:		mod_auth_remote-0.1-apr1_1.diff
Patch2:		mod_auth_remote-0.1-apr1_2.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= %{apache_version}
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This module is a very simple, lightweight method of setting up a single signon
system across multiple web-applicaitions hosted on different servers.

The actual authentication & authorization system is deployed on a single server
instead of each individual server. All other servers are built with
mod_auth_remote enabled. When a request comes in, mod_auth_remote obtains the
client username & password from the client via basic authentication scheme.

It then builds a HTTP header with authorization header built from the client's
userid:passwd. mod_auth_remote then makes a HEAD request to the authentication
server. On reciept of a 2XX response, the client is validated; for all other
responses the client is not validated.

%prep

%setup -q -c -n %{mod_name}-%{version} -a0
%patch0 -p0
%patch1 -p0
%patch2 -p0

cp %{SOURCE1} %{mod_conf}

%build
%{_sbindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-9mdv2007.1
+ Revision: 140579
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-8mdv2007.1
+ Revision: 126607
- general cleanups

* Sat Feb 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-7mdv2007.1
+ Revision: 118723
- bump release
- do mdvsys sync...

* Sat Feb 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-6mdv2007.1
+ Revision: 118714
- fix url

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-5mdv2007.1
+ Revision: 79234
- Import apache-mod_auth_remote



* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-5mdv2007.0
- rebuild

* Thu Dec 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-4mdk
- rebuilt against apache-2.2.0
- added P1 to fix warnings (pterjan)
- added P2 to conform with apr1

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdk
- rebuilt to provide a -debug package too

* Sun Oct 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-2mdk
- rebuilt against correct apr-0.9.7

* Fri Oct 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-1mdk
- rebuilt for apache-2.0.55

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.1-3mdk
- added another work around for a rpm bug

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.1-2mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.1-1mdk
- rename the package
- use the %%mkrel macro
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-5mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_0.1-4mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-3mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.1-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_0.1-1mdk
- built for apache 2.0.51

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.1-3mdk
- rebuilt

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.1-2mdk
- remove redundant provides

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.1-1mdk
- built for apache 2.0.50

* Fri Jun 11 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.1-1mdk
- built for apache 2.0.49
- used a sligthly newer source
- v1.0 was wrong, should have been v0.1, fixed now
- fixed P0

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.0-1mdk
- built for apache 2.0.48

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 2.0.47_1.0-2mdk
- Rebuild to fix bad signature

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.0-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.0-1mdk
- rebuilt for apache v2.0.46
- buildrequires ADVX-build >= 9.2

* Fri Apr 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.0-1mdk
- cosmetic rebuild for apache v2.0.45

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial cooker contrib
- the "BeerWare" license was changed to GPL
